View Issue Details

IDProjectCategoryView StatusLast Update
0011995ScribusStory Editor / Text Framespublic2019-06-19 08:59
ReporterJLuc Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status confirmedResolutionopen 
Product Version1.5.0svn 
Target Version1.5.4Fixed in Version 
Summary0011995: Bad layout : text shrinks when too tightly approached
DescriptionWhen some image or upperlevel frame comes near some text,
at a moment, the text shrinks.
Steps To Reproduce- test with uploaded SLA
Additional Information- see uploaded ogg video

- this issue could be met allready in various complex bugreports and uploaded files, but has not been bug-reported in itself

- in the uploaded document where this happens, text is not with automatic line height but fixed line height
Tags#please_test, layout, MABs, scribusctl
PatchNo

Relationships

parent of 0012862 confirmed Text shrunk and line broken with automatic height lines 
related to 0012861 confirmed layout line break with no good reason 
Not all the children of this issue are yet resolved or closed.

Activities

JLuc

2014-01-18 21:56

developer  

text shrinks when constrained.sla (15,645 bytes)

JLuc

2014-01-18 21:57

developer  

shrink.ogv (129,035 bytes)

perosredo

2014-01-18 22:03

reporter   ~0031125

Also happens when the height of the text frame is very close (or smaller) to the height of the text - occurs when using adjust frame height as well.

For example, create a text frame with larger height than text is tall, type the word 'Livewire' and hit 'adjust frame height to text'. Increase the height of the frame now and it goes back to normal.

perosredo

2014-01-20 04:50

reporter   ~0031153

Last edited: 2014-01-20 04:50

View 2 revisions

This bug will also cause kerning/tracking adjustments not to stick on affected frames.

Kunda

2015-05-14 14:43

updater   ~0035128

Just for organizational purposes, this issue is also present on 1.5svn r20078 (OSX 10.9.5)

Kunda

2015-12-05 01:05

updater   ~0037820

Still present on 1.5.1.svn r20609 (OSX 10.10.5)

Kunda

2016-01-18 14:25

updater  

shrink.gif (146,384 bytes)
shrink.gif (146,384 bytes)

JLuc

2016-05-22 17:23

developer   ~0041304

Same with scribus 1.5.2 with boxes patch merged (release 21331).
Could it be possible to fix it now with boxes ?

Kunda

2016-05-29 01:55

updater   ~0041503

It's not fixed on either trunk (OSX 10.10.5 1.5.3svn r21356) or
recent CTL (Scribus15xCTLNightly-20160528.dmg)

JLuc

2016-12-04 13:00

developer   ~0042651

Last edited: 2016-12-16 16:55

View 3 revisions

It's fixed with today CTL appimage

[EDIT] Nope, not in all situations : see more recent comments.

Kunda

2016-12-15 20:05

updater   ~0043040

I can't reproduce in 1.5.3svn r21652
@PeterBenedek please confirm

PeterBenedek

2016-12-16 07:51

developer  

0011995.gif (400,464 bytes)
0011995.gif (400,464 bytes)

PeterBenedek

2016-12-16 07:56

developer   ~0043058

Tested r21652 (installed version and not appimage); Linux Mint 18; Qt 5.7

shrink.gif : Confirmed. I can't reproduce...

0011995.gif : ...but still have problem!

Kunda

2016-12-16 10:45

updater   ~0043059

Peter, great catch.
@Fahad it looked fixed on the surface but we found that this bug together with 0012861 and 0012862 are still an issue

plinnell

2016-12-29 23:40

viewer   ~0043258

Changing severity. Block is for release blockers.

Issue History

Date Modified Username Field Change
2014-01-18 21:56 JLuc New Issue
2014-01-18 21:56 JLuc File Added: text shrinks when constrained.sla
2014-01-18 21:57 JLuc File Added: shrink.ogv
2014-01-18 22:03 perosredo Note Added: 0031125
2014-01-20 04:50 perosredo Note Added: 0031153
2014-01-20 04:50 perosredo Note Edited: 0031153 View Revisions
2014-04-07 15:04 JLuc Tag Attached: layout
2014-11-06 19:29 Kunda Tag Attached: MABs
2014-12-24 16:43 JLuc Patch => No
2014-12-24 16:43 JLuc Priority normal => urgent
2014-12-24 16:43 JLuc Severity major => crash
2014-12-24 17:38 JLuc Relationship added parent of 0012862
2014-12-25 10:26 JLuc Status new => confirmed
2015-05-14 14:43 Kunda Note Added: 0035128
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2015-12-05 01:05 Kunda Note Added: 0037820
2015-12-05 01:05 Kunda Severity crash => block
2015-12-05 01:05 Kunda Target Version => 1.5.1
2016-01-18 14:25 Kunda File Added: shrink.gif
2016-01-23 17:16 cbradney Target Version 1.5.1 => 1.5.3
2016-05-22 17:23 JLuc Note Added: 0041304
2016-05-29 01:55 Kunda Note Added: 0041503
2016-12-04 13:00 JLuc Note Added: 0042651
2016-12-04 13:01 JLuc Tag Attached: #please_test
2016-12-04 13:04 JLuc Tag Attached: fixed_with_CTL
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4
2016-12-12 01:31 Kunda Tag Attached: scribusctl
2016-12-15 20:05 Kunda Note Added: 0043040
2016-12-15 20:05 Kunda Tag Attached: #tobeclosed
2016-12-15 20:18 Kunda Relationship added related to 0012861
2016-12-16 07:51 PeterBenedek File Added: 0011995.gif
2016-12-16 07:56 PeterBenedek Note Added: 0043058
2016-12-16 10:45 Kunda Note Added: 0043059
2016-12-16 16:54 JLuc Tag Detached: #tobeclosed
2016-12-16 16:54 JLuc Tag Detached: fixed_with_CTL
2016-12-16 16:55 JLuc Note Edited: 0042651 View Revisions
2016-12-16 16:55 JLuc Note Edited: 0042651 View Revisions
2016-12-29 23:40 plinnell Severity block => major
2016-12-29 23:40 plinnell Note Added: 0043258
2019-06-19 08:59 JLuc Additional Information Updated View Revisions